import importlib

# XXX: pain when dealing with other installed variants
from .. import lib
lib.install()

def test_good(test):
	from . import good
	test.fail_if_not_exact(good.return_true(), True)

def test_bad(test):
	import c.loader
	test.fail_if_not_raised(c.loader.CompilationError, lambda: importlib.import_module(".bad", __package__))

def test_objcgood(test):
	from . import objc_good
	test.fail_if_not_instance(objc_good.foobarhash, int)

if __name__ == '__main__':
	from dev import libtest; libtest.execmodule()
