"""
Surface functionality for the Python C loader.
"""
import sys
from . import loader

def install():
	'Install the meta path hook.'
	if loader.CLoader not in sys.meta_path:
		sys.meta_path.append(loader.CLoader)

def remove():
	'Remove the meta path hook.'
	sys.meta_path.remove(loader.CLoader)
